Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514171 - Data provided by api are not fully encoded in json format, lists are formatted in an escaped strings
Summary: Data provided by api are not fully encoded in json format, lists are formatte...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-api
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Nishanth Thomas
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On:
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2017-11-16 18:35 UTC by Martin Bukatovic
Modified: 2018-09-04 06:59 UTC (History)
5 users (show)

Fixed In Version: tendrl-api-1.6.1-1.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 06:58:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2616 None None None 2018-09-04 06:59:03 UTC
Github Tendrl api issues 220 None None None 2017-11-16 18:35:09 UTC

Description Martin Bukatovic 2017-11-16 18:35:10 UTC
Description of problem
======================

Response for GetNodeList call is not fully encoded in json format: sometimes
data is provided as a single string value when it should be encoded just as
a list of strings instead.

This means that sometimes, one needs to manually parse string values into list
of strings to get sense of the data, and sometimes one can just consume the
list as expected.

Additional information
======================

See full details in upstream issue:

https://github.com/Tendrl/api/issues/220

This BZ has been created for this issue to track
downstream verification effort.

Comment 2 Martin Bukatovic 2017-11-16 18:36:29 UTC
Based on upstream statement[1]:

> Fixed in #246

I'm assuming this is fixed in tendrl-api-1.5.4-2.el7rhgs.noarch

[1] https://github.com/Tendrl/api/issues/220#issuecomment-329069062

Comment 4 Filip Balák 2017-11-29 14:39:29 UTC
Seems ok. -> VERIFIED

Tested with:
tendrl-node-agent-1.5.4-8.el7rhgs.noarch
tendrl-notifier-1.5.4-5.el7rhgs.noarch
tendrl-selinux-1.5.4-1.el7rhgs.noarch
tendrl-commons-1.5.4-5.el7rhgs.noarch
tendrl-api-1.5.4-3.el7rhgs.noarch
tendrl-api-httpd-1.5.4-3.el7rhgs.noarch
tendrl-monitoring-integration-1.5.4-8.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-1.el7rhgs.noarch
tendrl-ansible-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.5.4-4.el7rhgs.noarch
tendrl-grafana-plugins-1.5.4-8.el7rhgs.noarch

Comment 8 Filip Balák 2018-05-24 06:59:48 UTC
Looks ok. --> VERIFIED

Tested with:
tendrl-ansible-1.6.3-4.el7rhgs.noarch
tendrl-api-1.6.3-3.el7rhgs.noarch
tendrl-api-httpd-1.6.3-3.el7rhgs.noarch
tendrl-commons-1.6.3-5.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-3.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-3.el7rhgs.noarch
tendrl-node-agent-1.6.3-5.el7rhgs.noarch
tendrl-notifier-1.6.3-3.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-2.el7rhgs.noarch

Comment 10 errata-xmlrpc 2018-09-04 06:58:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.